from core import models, base
from core.translation import _t

class Action(models.Action):
    """"""
    
    label       = _t('Convert Mode')
    author      = 'Stani'
    email       = 'spe.stani.be@gmail.com'
    version     = '0.1'
    tags        = [_t('Image')]
    __doc__     = _t('Convert the color mode of an image')
    
    def __init__(self):
        fields = models.Fields()
        
        fields[_t('Mode')]  = models.ImageModeField(
                                    _(models.IMAGE_MODES[2]))
                                    
        super(Action,self).__init__(fields)
        
    def apply(self,photo,setting,cache):
        #get info
        info        = photo.get_info()
        #get file values
        mode        = self.get_field_value('Mode',info)
        photo.convert(mode)
        return photo
    
    description = "Defined variables: <filename> <type> <folder> <width> <height>"
    
    icon = \
'x\xda\x01\xb8\x0bG\xf4\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x000\x00\
\x00\x000\x08\x06\x00\x00\x00W\x02\xf9\x87\x00\x00\x00\x04sBIT\x08\x08\x08\
\x08|\x08d\x88\x00\x00\x0boIDATh\x81\xed\x99K\xaf$\xc9U\xc7\x7f\xe7DDfV\xd5\
\xbd\xb7o\xbb\x87\xc1f,1\xb3\xc0\x92Y\x8c@H,@ \xbc\x01\x89\xaf\xc0\x82o\xc1\
\x82O\xc1\x8ao\xc0\'\xc0 \x0b\x19\xb3B\x96@\xc2bg$\x04\xe3fx\xf4\xc8\xd3\x8f\
{\xbb\x1eY\x99q\x0e\x8b\x88|T\xf5\x08\x90l\t\x90&\xa4\xe8\x8c\xcc\xaa\xca\
\xfb\xff\x9f\xf3?\x8f\x88\x86/\xc7\x97\xe3\'\x1a2-~9\xdd\x7f\xdcH\xfe\xd0\
\xc8\xf6Sz\xb1?\xf0\xb4\xfd\xe1\xf9\x97\xde\x03\x97\xff\xfe\x17\xff\xd3\xa1\
\x01\xc6O\xe0;\x7f\x0e\x10\xa7\xa7\xbf\xf9\xec\xd9\x1f\xfc\xf6\xef~\xeb\xf7\
\xda\xfb\'\xb8\xd9\xc2\x0c\xafk_\x83\xbb\x06\xfb\xce\xe8\x1a\xf8\xde\x0fz\
\xbe\xbd\xf9}\xbe\xf1\xcd\xf7\x19\x87<\xbdn\x19\xee\x97\xcf\xdc\xcb\xda\x01\
\xac|l\xe0\x94\xe71\x08\xff\xfe\xfc\xc8w\xff\xf4o\xbe\x0f\xdf\xf9+\xe08\x11\
\xb8}\x90|\xf7\xd1\xaf|\x93\xed\xfb?\x83\x8f\xe3\x0cL\xea\xdbE\xfc\x02\xa8\
\xbcCh\x8d\x0c\xb6]\xe0\xef_\xff\x13\xdf\xf8\xf0\x9eo\xfd\xce\x07\x9c\xfb\
\xb1\xe2\x9d@\xae\xc1:X\xb9w\x9f\xd6\x8e\x9b\xe3F\xb97#5\xca?\xfc\xe05\x7f\
\xf9\xed\xe33w\x9e^\x10\xe8B|\xdf\xcd\xe9\xdf\xbc\x06\xb3\xd9\xf2\x138\x91\
\xd5zMd\x02p5b\xaf\x8c\xa7\x9e\x97o\x8d\x87\x83q>\xe5w\t\xac\xac^\x80O\xf7\
\x05|\x01NY\xbb\x13\xcf\xce\xa17\x80\xae\xceYB1\x88%\xc6\x1e\x06\xc0\xf3\xe4\
\xd3\x0bk\xfb\x17Z\xfe\x92\xc0\xf4L\x82\x80\x19\x03\xca\x880\xc8\xfcI\x91\
\x04\xb2X\x7f~\xf3\xda\x10\xd3\xbd-<\x1d\xb4\r\xa8\x86&\xe7&\xc0y&\x90Rl:\
\x19\x07\x18\xc0\xcd\xd0*\x19\x11\xbf\xb0\xb4T\x94r\xe5\t\xe4*\x16\xb2\xd2\
\xf9\x01\x82p\x16e\x900[\xdf\xe7\x17\xfa\xf2c\xf7\x0b3x\x11\xffl\x12\x03\xcc\
\x84\x11@\xd2\x1dx\xb3\xf6@j4\xdc1\x9eA\xadJhe\xd9\x0b\xfd;z\x19\x0c\x0b)_\
\xfdMUZ;APz\xd5\xea\x01)\xf9h\x96\xd0"#W\x03t\x96K\xf9K\xd3w\x1c\xc7Kh\xc4P\
\xdd\x9b"\x0cK\x16RF\x93\xe1\x84HDlm\x9d\xa2\xff\t\xe8\xa4\x04\x99\xff\xb9\
\xb4\xfcLF\x04\xc1\xc9!2H`P+\xe0\x90j\xcf\xe9WVI\x85\x02x\n<Q\\*\x197\x1c\
\xc8@\x8e\x8aHR\xb8\xdf\xc2a\x15\x03!\xed\x18\x07D2n^$4\x01\x14\x96 \x96\xe5\
o\\\xcbFV7\xaaB\x90\x8c\xc7\xc0Y\x84QC\x01\x04`\xb2\x88\xda\x02\xae\x93\xb4\
\xac\x04\xae8H%&\x02\xeax\x06\x05,\x04D\x10\xf0\x08\xab n\x02;\x1d{p-\x81*\
\x0e"E.ra\x98%P\xbf\xc0\x03\xb3W\x14\x02\x86\xc5\xc09\xc0\x18t\x91\x8e\xd4\
\xaby\xb5~]3\xeb\x0bw\xc1\xd5\x117\x1c\xc5\x05\x14\xc7\xda\x08\x1a\x02lw3\
\x81\x0e\x9a\x84#\xe3\t\x08%@\x85/\xf4\x80\xd8\xbb2Z{d\xf1\x86\x13$\xd3\x9b\
\xd0S\xc2\xdf\xd7?p\x16\xf0\xees\xc6\x99u\xefS\x01\x13\xdc\x04\xc4\x10\x84A\
\x14U\x01\\g\x02_\x0b\xcd\xb3.\xa5\x84\x8dh\xceL\xba\xd7\x95\xee\xdf!\xb4\
\xf2\xc8\xc5\xa8\x9fiv\x94\xcc\x08\x0c3\xd8\xe5\xba\x90\xad\xf9,x%9\x95\xdf\
\x92F\xdd\xadh\xc7\x05\xc1\xb0\x14i\xef6\xda\xefWu\xc0\t\x1a0\tvF\x8a\xd2\nx\
\xe1B6\x17\x9e\x98\xc0\xfa\xbb\x12\x9a\xbe\xdb\xd9\x1eQc\x98R\xfeR\nJ\x85\
\x9d\xd6\xd3"H\xcdB\x8ac%&\xe6\x9f9\x82b\xc1AE ,i4\xaa\xee\x82e\xe1\xb4G\x9b\
\x06\tUFn(^Rv\xd5\xe0\xe4\x05\xbd\xf2\x86_\x05\xb4\n\xb4v\x04u\xceB\xb1",\
\x99S\xab\xa1\xd7\xde\xf0\xfa\xc2P\xacf\x08\xa3\x0bgS\xcec\xa6?\x1b\xfb\xbdr\
N\t`!\xd0j\xf3D\x0f\x0fr\xfc\xbb\xef\x11\xef\xee\x897\xb7\xc4\xdd-aw\x8b4-\
\x12\x15\xd5\x80\x04Y<QS\xde\xec\r_Ui\x81\xe0\x8e\x06\xc5\x83\x90\x95\x0bvs\
\xf9\n\xc5\x13\xee\x90k\'1\x18\x1cG8\r\xc2a\x10\xf6\xbd0\x9c3vV\xf2\x086\x80\
w\r@\xbb\x92\x90k\x94L\x18{\xfc\xe5\x0b\xf2\xcb\x17\x90\xc0b\xc0\x9aD\xd8\
\xec\xa0\xed\xd0\xb6\x85\x10\x90\x10!(\xa2Z\xbcUu&\xab\n\'\xea\x84sdP\xe5ui\
\xad\x98\xfb4\x9b\xfb3\xb2\xc3\x90\xe1\x9c\xe1<\x96\xabe\xc8\xb9|OD F\x04#\
\xa8\x11\x82\xa1m\x02\x9a\x08H\x04HA\xef\xa3\n)\x16\xbd\xab\x80*(\x990f\xe4\
\xf1\x84>\x96g\xd3\xe7"\xcb\xfde\xf1*#\xe24\xfd\xcfq\x8c\x81\xe7^\n<T\x8bs9g\
yi\x89)\xb52=\xd7\xa6 \x83\x9bB.\xa9X\x9f\xdc\x02w\xdb\xd9\x03\xea\x9eD\xbc\
\xf4\x195(\xd5+P\xe72\xa0k\x89\xa0d\xb6\xabb\xb64}-\xf0\xd0\xc3\xe9\xf3\x0e\
\xffW\xd0\xb1z\xc1V\xc8\xf3"!\xc9s\x13\\z\xc9\xe9\xb3J\xc4\r|,&\xf7\xfd\r\
\x90\x02\xa0\x11\xc0\x90v\xc8\xc6q,\xe5zJ\xa1\x93\xc0k\x16\x9b\xcb\x8c\xcc\
\x99c\x81=u\xc7\xb5\xad\'9\xbc:=\xf0\xd1\xcb?\xa4\xfd\xec\x0e\x1fs\t\xda\x0c\
\x96}\x06f\xb9\xb4\xcb\xf3:;6?\xa7\xae\xbd\xc8\xcf@c\xc0>\xfc\x9c\xc3\x8bO6|\
Z=\xd0\x88\xde\xdd6\xc2{\xdb\x02T\xd72\x9a\xd6T\xb9\xc8B\xf0\xba\xc5X\xbbC\
\x80\xf4\xf8\x96_\xff\x8d?\xe6\xd9o\x81\x0f\xab\x18\xf0%\x06\xacZ<\xd7x\x98\
\x9e\xe5\xe9\x99-\x9f\xe5\x0c!\xc2\xdf\xbe\x82\x17\xaf\x88|Z=\xe0\xa0I\x9dMZ\
\x08\x04)\x80c(\xe0\'23\xf8\x9a\xea.\x98N\xf7ulq\xe2\xed\x89\xf4\xd4\x8b$|\
\xf1\xd0u@g\xbb\x02\xefW\x04\x0cF+\xb86}}}\rb\xbd\xd1\xd8\xc5\xe0\xa4\x00\
\xe3\x8a\x80\xd6\x19V\x9e\x90 \x10Ba\x16b\xfdrX\xb1\xd3\xd9\x05\xde\x1bQN\
\xc5\xcdUvk\x0f\xd4Rp\xd1[\xc9U\'?\xad\x1d\x08\xbe`BJ\xb5\x88\x94\xc61\t\x05\
\x07\xac\x08h\x05\x1f@T\x90\x10 \xa6\xd2\x8a\x87\x001._\x08\x93\xbeVe\xfb0\
\x12$\x900\\\x1dw\xc7\xf4\xca\xfaR\x1bP)V\x16\xa1\x06\xe2\x15\x99\xb2]@\x05n\
7@\xa0\x9d\t\x00\x12\x83\x13\xab\xf1\x82.V\x0f\x81\x024&h\xd2B V\x12!^\xb9\
\xa8\x12P\x81\xb7#\x91\x9bB\x80\x8c\x8ba\x8c\x98d\x1c\xc3t\x91\xcddY\x9b\xb6\
\x04Z\x02x\x8a\xa7yOR\x05\x80\x90&\x021\xa2]\n#)\x14\xeb\x84jP\x8d\n)A\xd3\
\xac\xae\x95L\x8c\x8b\x07B\xa8nZ\xa5/\x15\xd8\x8cD\xb9\xa5\xc1j\x9f\x991F\
\x9c\x01c\xc0d\xc04\x17z\x15\xdc\xb4\x19\x14+\x8eX\x8f\xa9\xeb\xb8I _\xe7\
\x89\xd7j\xa6U\xd9E\t@\x14\x90\xa8\xd0\xb6\x05\xf4D\xa0mV\x1eH5\xc2\xc3\x12\
\x13\xd7\x04\xba\x81\xc8\x8eX\xec]\xbc\xc0X\xc0\xd7\x99\xa5G8C\xb0\xd9\xc2\
\xd3u\xea\xbb\xa6Fp\n\x8b$ O\xd8zA\x82F!lSi[# )V\xf0m\x01\xdd4E>\x13\x91\xb5\
\x8cbX<0\x05\xb2\x94\xce\x92\xeeLd \x96\xcd\xe5\xbb\x1e\xe0\x8c\x92\xea\xf5\
\x84\xea@\x9e\xf6\xdf\x93\xb9u\x15\xd0VBa\xdb\x82F\xb6V\t\x84\x88m6\xd1 \x80\
h\x84\xae+\x04\xe6\xd9@Zy"]\xc7A\xb8\xccD\x13\x81M$x\xa6\xa9\x04\xec\xca\x03\
\x993B\xc2\xe8\x11"\xc2\x11\x91\x1e\xa9}\xc7\xe4\x8d\xb9\x15\xaf]\xc0\xb6\
\x01\xddq\xc7JB\xa5\x02%\x81X\xc1w\x9b\x02\xbc]{\xe1\x8aD\\g\xa3IB5\x98\x83 \
\x9b\x84\x1f\x8dH\xb8\xf0\x80q\xc6\x18\x10\xfaJ V\x02Z\xf6#z\xc2%\x17\xf0>\
\xed\xbd\xc0B\xf1B\xcd\x15\xa1\x18\x1f4\x08a\xd3x\x91Lj\x8b\x07\xba\x06\xda\
\xae\x82o\x172\xb3\x07\xea\\\x13\x98\x8a\x9aH\t\xa4.\x10\xdd\x88D\xa8\xd6\
\xcf\x8c8\xa9\x12(\xc0\xad\x02_\xb6\x05\x0er\x025<,q\x10j\x86\x8a\x02\xed\
\x96\xa7=\xb4EBJ\xd7mB\x01\xdc\xb4\xd0\xb5e=I\xa9\xab\xc1\xdc\xb6UJ\xab\x94z\
\x11\x075\x9d2\x11HD\x94D\x022\xd39\x9d\xd1cU>J$\x13\x10B\xdd\r\x96\xdf\x97\
\xce\xa4l\x88\xe6\xc30/u#\x04@\xcb\x97#\xb5\xb9,Y&VkW\xd0]{\x19\x0fM\xb3\xc8\
i\x96Q\xba\xaa\xcaS\x0fRc\x80\xb0"0\xe9\xbf!\xd3W\tEt\x06\xbf\xf8\x80z\x98\
\xe5z\xc2\xdc\x0b\xdaZ\xb6c\x80f\xc3=\xa9\xc4@\xbc\t\xd2n\xb7Rs}*VNW\xbao\
\x9a\xea\x89\xf62#\xcd\xd9(^\x16\xb3$\xd0\n\xc1\x95D[\x83\xb7\xe8\x7fmqA\xc8\
\x13\xd8\xba\x0fVr\x9d#\xca@\xd0\xb1\x14\xbbU\x0c\xa8\x12qb\x04b\x13b#\x9d\
\xc0&A\xbb\x81M\x9d]\xb7\x9a\xab\xac\x94\xaa\x9c\x9aUMXKH\x04\x1a\x85\xdd\
\x89\xe6\x90i\xe9\xf0\x9a>3g2g\x8c\x9eL\xcb@\x83\x92\xe6x(\xc4&j\x8e`\x88\
\x1c\x908\xa2\xb9H(\x03\xcd\r\x81\xaf\xf34\x02\xfa\xc1{\x1d\xf1\xee\ty\xb7\
\x85\xcd\r\xb2\xb9A\xb67\xc8f\x07\x9b-lv\xd0\xed\n\xb9\xa6\x83\xd4\x95kl\xca\
\xe1\xc0t\r\xa9L-\xb1\xf1\xb3\x1f+\xbf\x96\x85\xce\x9d\xec\xe7\n\xbe\'s\xaa\
\x04\x8ed9\x9292r`d\xcf\xc8\x9e\x81=g\x7fK\xef\x8f\xf4\xf6\xc8\xc9\x1e8\xda\
\x1e;\x9f\xe8\xc73\xc7\xe1\xc4\xb3m\x1f>}\xf2\xf96\x02\xfcj\xf7\t\xfcc\xc3\
\xe3\x8f"\xb1\t4I\x89M@6\x9br\x00\xb6\xdbA\xb7-V\x8f\xa9\xf8\xd2k\xe32f8\x0f\
uC;\x90M\xc8\x1e0\x0f<\x0e\xca\x1f}$\xfc\xe8c\xe3i\x9b\xd9\xb4\xc6\xb6\xcbl\
\xdb\xcc\xb6+\xf7]\x93i\xd2H\x8aV\xce}\x189[\xe64\x18\xfb>\xf3x\xca<\x1e3\
\xaf\x8f\x99\xd7\xfb\xcc\xab}\xe6\xf3\xc3\xc8\xf3\x97#\xe4z\xbc~z\xdb\xa3\
\xa7\x1e\x1d \x9d\x8b\xb4e\xdb@{Gq\x98\x95=\xa1\xb6\xc5\xc2Bi\xda\x87\x1e\
\x8eG\xd8\xef\xe1\xf1-<\xbc!<\xf6\xf8\t\x18\xa0\x7f\x80\xbf~\x03?\xfc*|\xb0\
\x83\xaf\xec\xe0\xa9\xc1\xbd\xc0\xd3\x04w\x0e\xb7\x01v\x116\xb2#\xb2\xc1\xc8\
\xf4\xe1\x81\xa3g\x8e#\x1c\x04\xf6\xc0\xdeao\xe5z4\xd8\x8f\x05Z\x04\xd8\xf75\
\x0e\x9bZ\xdan6\xf0\xf4+p\x7f\x0fO\xee\xe0\xfe\t\xdc\xdeUOt%\x8a\x86\x01\x0e\
\x07xx\x84\xc7Gx\xf3\x06v7\xd0\xbd&\xbey\r\xbd\xd1Xy\xd5]\x03w-\xdc\xd6y\xd7\
\xd4k\x07wm\xe0\x96\xaf\xb2\xe5\x03\x127\x18#\'>\xe3m\xfc\x17\xb4\xdb\x17;e\
\xe8G\xe8\x1b8\rp\x88\xcb\xbe)\x02\x92=m>}Q\x8fB\xd4\xd1dH\xf3\x06m\x0e\xd0\
\xfc\xb8\x04jj\xe6\xea\xeb"\xd8\x98\xf11c\xc3\x88\x9d\xcb\xcc\xc3\x80\xf5N\
\x1e\xb6\xf8\x08?>\x08\x9f\xfd\xc2\x81\xff8e\x1e\x06h\x1e\xa0\t\xf5u\xb1\x18\
+)$\xde\x12xN\x17\x13]c\xc4\xd8C(\xc7\x92\xe7\x0c\xc7\xbe\x18\xf9\xe1\x00\
\x8f\xc7Bf\xe8PR\xa9\xc4\xc3\x9f\xbc\xb4\xbf\xf8\xb3W\xfc\xa2C\x00w\xf53\xd0\
\x97\x83\xdc%-\x97\x0c=\x1d\x8f\x006\x95x\x01C\x0b1\xb4\xacQ\xce\x04\xf9\xe7\
\xefG\xf6\x9fd\xdf\xaf\xde\xc1\xc5\x7f\xe4f\xe0M\x9d\xc5\xa4\xa1\xd6\xc6\xe9\
l6{\xd9\x1b\x0c\xe5d\xa3\xa4\'\xe5\x15\xff\xc6g\x02\xdc\x03?\x0f|\rH\\n\xe6~\
\xd2\xb1\xaeL?\xcdw:\xf0\x19\xf0\\(2\xdaR\x8er\xe4\xbf\xf8\xe1\xff\xa5\xe1\
\x94\xff\x8e<\xfeo\x03\xf9r\xfc\xbf\x1f\xff\ta\xc7\xa9\xef\xaa\x92I\xc9\x00\
\x00\x00\x00IEND\xaeB`\x823\x05\x96\xdf'