from core import models
from core.translation import _t

class Action(models.Action):
    label       = _t('Invert')
    author      = 'Stani'
    email       = 'spe.stani.be@gmail.com'
    version     = '0.1'
    tags        = ['Colours']
    __doc__     = _t('Invert the colors of an image')
    
    def import_modules(self):
        global ImageChops
        import ImageChops

    def apply(self,photo,setting,cache):
        layer       = photo.get_layer()
        image       = layer.image
        layer.image = ImageChops.invert(image)
        if image.mode == 'RGBA':
            layer.image.putalpha(image.split()[-1])
        photo.set_layer(layer)
        return photo
    
    def _gettext(self):
        _('Invert')

    description = """
"""

    icon = \
'x\xda\x01\x1b\x0c\xe4\xf3\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x000\
\x00\x00\x000\x08\x06\x00\x00\x00W\x02\xf9\x87\x00\x00\x00\x04sBIT\x08\x08\
\x08\x08|\x08d\x88\x00\x00\x0b\xd2IDATh\x81\xbdZ[l\x1c\xd5\x19\xfe\xe6\xcce\
\xd7\x97\xbd%qb\x07\xb0\xbdv\xd2$\xca\x05H\xdc8N\n\n\xad \x0f\xf4!M@U\x03j\
\x05TB\x89\x1a\n\xad\xfa\x02B<Q\t\xa1\xf2XU\xe2\xa5\x0f\x15\x17\xb5\x15P\x84\
Z\xe4"@q\xec\x06\x13\xc7q\x12Rc|\xc3\x8e\x13\xdb\xeb\xec}\xee\xe7\x9c>\xac\
\xcfx<\xde\x8d\xd7\x01\xfaK\xa3\x1d\xdbgv\xff\xef\xff\xbf\xff\xba\x96\xda[Zq\
\x9bB\x00\xc8\x00\x94\xc5{i\xf1*\'|\xf1b\x00\\\x00t\xf1\xfe\x1b\xc9W\x13\xe3\
Pn\xe39\x02@\xf9\xe9\x89\x9fm\x8c\'\x12\xbfVU\xf5\xe9C\x87\x0eEv\xed\xda\x85\
\x9a\x9a\x9a\xb2\x0fPJ\x91J\xa5\xf8\xd8\xd8X\xca\xb6\xacW\n\x85\xc2\xbb}\xbd\
\xbd\xd7\xdfz\xe3M\x13\xdf\x10\x88\xbc.\x1e\xaf\xf6\xac\x04@\x05Ps\xec\xd1G\
\x9e\x89\xc5\xe3o\xee\xdf\xbf\xffpWWW\xb8\xad\xad\xad\xa2\xf2\x00 I\x12TU\
\x95"\x91H\x1d\x07~d\x18\xc6\xa3\xed\xed[n(\x8a<\xf5\xdf\xabW]\x94\xbc\xb3fy\
\xe6\xd9g!UA!\t%\xaah]?8t,\x1e\x8f\xff\xf1\xa1#G\xea\x0f\x1e<(\xc5b1\x00\x80\
\xe38\xe0\x9c{\x97$I\xe0\xbc\xa4S\xf0\xf7\x84\x10PJ1;;\xcbGFFfl\xcb\xfa\xe5\
\xef~\xf3\xdbO\x01\xd8(Q\xabj\xf9jb|U\x00\x12\x00u\xdb\x8e\x1dM\xb2\xaa\xbc\
\x9bL&\xef~\xe2\x89\'\xa4\xf6\xf6v0\xc6\xe0\xba\xae\xa7\x98$-\xd1?\x08\xc0\
\x7f\x96R\nI\x92\xa0(\n\x1c\xc7\xc1\xe5\xcb\x97\xdd\xd1\xd1\xd1\xf7\xde{\xe7\
\x9d\x93\xe3\xa3c\x19\x94b\xa4*\x8f\xac\x16\x03\x04\x80\xb6\xafs\x7f\xc7\xd4\
\xd4\xd4?ZZZ\x12O=\xf5\x146o\xde\x8ct:]:@\x88\xa7\xbc\x00 \xee\xfd\x96g\x8c\
\x81R\xea\xbd\xba\xae\x0b\xd7uA\x08\xc1\x96-[\x94\\.w\xac\xb3\xabkkss\xf3\
\x89O?\xfed\x04\x80S-\x88J\x00\x08\x00\xad\xe3@\xe7\x83\x83\x83\x83\x7f\xd54\
-t\xe2\xc4\tD"\x11\xcc\xce\xceB\x96e\xc8\xb2\xecQ\xa2\x92\xf2\x92$y\xd6g\x8c\
-\x03\xe08\x0el\xdb\x06!\x04\xc9dR\x1a\x1e\x1e\xdeS4\x8c\xf7\xee;|\xf8\xe9\
\xff\x9c=\xdb\x9b\xcef\xa8m;\x84s.SF\xc9}\x07\x0f\x99\xc3\xc3\xc3+\xb2W9\x00\
%\xe5;\xf7\xffp``\xe0o\x93\x93\x93\xda\xe9\xd3\xa7\xd1\xda\xda\x8a\xd9\xd9Y\
\x10B\xa0\xaa*\x00T\x04!\x00\x00X\x01@X\xdfq\x1c8\x8e\x03\xd34\x11\x8dF\xb1o\
\xdf>|\xf0\xc1\x07\xedmmm\xaf\x9f:\xfd\xab\x17\xb7o\xdf>][[\x1b\x05\xd0\xe0\
\xb8n\xc3\xde\xbd{\xe3{\xf7\xdc\xfd\x12J\x14\xf3@\x04\x01H\x00\xd4\x9d{v\x7f\
\xff\xe2\xd0\xd0\xdfGGG5B\x08\xf6\xee\xdd\x8b\x85\x85\x05X\x96\x05M\xd3 \xcb\
2\x08!\xde\x15\xf4\x00\x00\x0f\x80\xb0\xb8\x1f\x00\xa5t\x19\x80B\xa1\x80\xc6\
\xc6F\x00@OOO2\x1a\x89\xbeX[[\xfb\x87\xad[\xb7\xce\xab\xaa*\x87\xb4\x90dY\
\x16\x07\xa0a\xa9\x9e\x94\x05\xa0\xb4mio\x9c\x9fO\xbd\xf5\xe5\x97_\x86\x19c \
\x84 \x16\x8bann\x0e\xb2,CUU(\x8a\x02EQ<e\x05 \xbf\x08\xee\xfbc@(\xee\xf7\
\x80m\xdb0M\x13\x89D\x02\x94Rd2\x19|\xfc\xc9\xc7\xdf\x0b\x85C\xbf\xa0\x94\
\xbe\xaei\x9a\xadi!3\x1c\x0e3\x00\x91E\x86`\xd1\x13\xdc\x0f@\x06PS\x1f\x8d\
\xber\xb6\xafo3cKT\x13o\x1c\n\x85\xa0(\ndY\xf6\x00H\x92\xe4Q\xc9s\xe3"\x8d\
\x84\xd5\x83\x00\x92\xc9$b\xb1\x18(\xa5\xb0m\x1b\x96ea\xfd\xfa\xf5x\xf2\xc9\
\'1;;\x0b\x00\xd2\xe4\xe4d\xc7\xf3/\xbc\xb0\xef\xe6\xcd\x9ba\xe1M\x00\xaf\
\x00`\xed-\xadq\x00\x06\x00W\x00\x90\x00\xa8w\xdeu\xd7\xe6\xa1\xa1\xa1\xa3\
\x86a,\xb3\xe4\xc4\xc4\x04\x18c0M\x13\xaa\xaa\x82\x10\xe2\x81\x08z \x18\xc0B\
y\xce9\x1c\xc7\x01\xa5\x14\xba\xaec\xcf\x9e=\x1eh\xc6\x18$I\xc2\x91#G<@\xae\
\xeb\x86$I\xd2\xdf~\xfbmn\x18\x86\x04\x00\xfb\xf6\xed\xc3\xf9\xf3\xe7\x01\
\xa0\x1e\xa5L\xe5\x01 \x00\xc2\xe1\xda\xda7\xa6\xa6\xa6B>\xc4\xe0\x9c\xe3\
\x8b/\xbe@[[\x9b\x9754M\xf3\x029\x98J\xfd5 \xe8\x01\x11\x03\x86axJ\x0b\xa0\
\xc2\xd3\xa2(\xba\xae\x8b\x1f?\xfc\xb0\xf2\xfe\xfb\xef\xdb\xa6i\x86|\x89A\
\x02P\x03 \'b@\x02\xa0\xb5&\x93w\x8dO\x8c\xefp\x1cg\x05\x97\x07\x06\x06\x10_\
l9\xfc\xd6\xf7\xc7@0\x80+e!J)L\xd3\x84\x88/\xf1\x9c\xeb\xba\x9e\')\xa5 \x84\
\xa0a\xe3Fm\xd7\xae]\xb9\x9e\x9e\x1e\x8dR\xeao\x14E\x03\xe9\xdd\x84\xea"\xf5\
\xaf]\xbbv\xcd\xcf7O\x99+W\xae \x91H`\xfb\xf6\xed\x1e\xc7E5%\x84\x80s\xbe\
\x8cB~\xf1SH\x001Ms\xc59\xd7u\xbdxr\x1c\xc73\xd0\xf1\xe3\xc7\xb5\xcf?\xff\
\xdc\xd5u]E\x19Q\x00\xa8\xcd\xcd\xcd\x8d\xb3ss\xbb-\xcb*w\x06\x86a\xe0\xc2\
\x85\x0bPU\x15\x9b6m\xf2r\x7f\xb9\xe0\r\x8a\xdf\x03"\xb0-\xcbZ\x06@\x048\xb0\
\x14O\x8c1\xc8\xb2\x8c\x9d;w\x86\x13\x89\x84~+\x00\xda\xc6\xa6\xc6\x9f\x9f\
\xfb\xec\xb3u\xe2M\x82\xc29\xc7\xfc\xfc<\xce\x9d;\x87m\xdb\xb6a\xd3\xa6M\x08\
\x85B\x15+\xb1P\xbc\\+\xc1\x18\x83\xe38\x1e\xef\xc5\xdf\xc5{\t\x10\x8e\xe3@\
\x96e0\xc6\xb0u\xcb\x16:33SV7\x05@x>\x95z$\x9b\xcd*A\xb7\x06%\x95J!\x9f\xcf\
\xa3\xb9\xb9\x19MMM\xa8\xaf\xaf_V\x13\xfc\x8d\x9d0\x86\xbf\x1e\x88"V,\x16\
\xbd^HxQQ\x14PJ\x97y@\xc4F\xe7\x81\x03\xea\x99\x9e\x9e\x8a\x00B\xa9Tj\x93eY\
\x95\xa6\xa9ebY\x16FFF077\x87x<\x8eh4\x8a\xfa\xfazh\x9a\xb6"\xbd\xfa\xfb\x1e\
\x91\xf3\xf3\xf9<\xae]\xbb\x06\xc7q\xa0\xaa\xea\xb2\x16[xSxBx\xb3\xa5\xa5\
\xa5b\xd3\xa9\x00P\xb3\xd9l\xadm\xdb\xd5\xe8\xefI6\x9bE6\x9b\x85\xa6i\x08\
\x85B\xa8\xad\xad\x85\xa6i\xd04\xcd\x03\xc0\x18\xf3\xf2\xbax\xd5u\x1d\x9d\
\x9d\x9d\xcb\xe6\x03\xce9dY\xf6\xbc&\xac/\xbc\x16\x8b\xc5\x14I\x928\xca\x8c\
\xac\n\x009\x93\xc9\xc8\xae\xeb\xae\t\x80\x10\xdb\xb6=\xcb\x02X\x16\x13\xc0\
\x12\x85\x82\x12\x0c~\xe1=\x7f6\xf3w\xaf\x95D\x01 \x89J\xf7mH9e\x83\xe2\xaf\
\xd6\xc1\xd9\xc1\x9f\x10\x84\xe2\x95\x92\x0b\xb0X\x0c\x82\xc5\xeb\xbb\x16\
\x11\xc0\xc0R\xe6\n\x02\xf7Oq\xaby\x00\x9a\xa6\xa1R\r\xa8$\x92$\xa1\xa9\xa9\
\t\x1d\x1d\x1d\xb0m{E\xf3\x16\x9c\xc28\xe7\xb0m\x1b\x86a \x1a\x8dz\xca\xf9A\
\xf8i\x03,%\x81U\x01D"\x11f\xdb6Y-\x8d\xfa\x85\x10\x82\x07\x1ex\x00G\x8f\x1e\
Emm\xad\x07\xa2R\xee\x17\xc5\x8a1\x86b\xb1\x88\xf9\xf9y\xc4\xe3\xf1\x15\xcf\
\xf8\x07\x1ea\xfd[\x19W\x01\xc0\x13\x89\x84\x9b\xcdf\xb5\xb5PI\x92$\xb4\xb4\
\xb4 \x93\xc9\xe0\xfe\xfb\xef\xc7\xf4\xf4\xf4\x8a3\xfe\x9eH\xfc,r}cc#4M+;3\
\x0b\xcb/v\xa50M\xb3l\x06\xf2\x00l\xd8\xb0\xa1p\xe3\xc6\x8duk\x01\xc09\x87i\
\x9ahll\xc4\xc6\x8d\x1b\xd1\xd0\xd0\xb0\xeco\xc1\xd7`e\xf6g\x18\xa1\xb4\x7f\
\xe0q]\x17\xb6m\x83R\x8a\xe9\xe9i\xca9/[\x0b\x08\x00\xda\xb0\xa1a|q\xe2Y\xb3\
\xdc*C\x94\x03\x1d\xa4\x8c\xbfW\xb2,\xcb+z\xfe\xda144D+\xd1\x9b\x00pTEyw\xfd\
\xfa\xf5np,\xacF\xa1\xb5\x9e\x13\xca\xfb\xad\xee\xaf\xd8bN\xb6,\x0b\x86a\xc0\
0\x0c\x0c\x0f\x0fW\xfc,\x02\xc0\xbct\xf1\xe2?\xef\xbc\xe3\x8eyY\x96\xd7\xa4\
\xbc\xe8\xe1\xcb)\x1b\xdc\xcc\x053T\x90\xef\x86a\xc04MOi\xc30`\xdb6R\xa9\x14\
O\xa7\xd3\x15\xfb4\x02\xc0\xa2\x94f\x13\x89u\xdd\xf5\xf5\xf5U\xa7!\x91\xbb\
\x0b\x85\x82\x97&\xcb\xcd\x12\xe5.\xff\xa6\xc2q\x1c\xcf\xda\xba\xae/\xbb\x0c\
\xc3\xc0\x993g\x1c\xc7q*fH\x82\xd2N\xb2816\xf6\x97\xb6\xb66\xbd\\O_I\x18c\
\xc8d2\xd0u}\xc54V\xee\xf2\xa7I\xa1\xb4eY\xcb\xe8\x92\xcb\xe5P(\x14P,\x16\
\x91\xc9dp\xf1\xe2E\x89s^Q)\x82\xd2zB\xbf\xb9\xb00\xd3\x96L\xfe;\x1c\x0eW\
\xa5\xbc\x7f\xc2\nz\xa0\\=\x10\x8a\x8b\xec"8/h#\xf6C\xba\xae#\x9f\xcf#\x9f\
\xcf\xa3\xb7\xb7\xd7\xcd\xe5r\xb7\xfc\n\x80\xa0\xb4$\xb2\x00\xe4\'\xc7\'\xfe\
t\xef\xbd\xf7\xe6\xaaB\x00x\xb9[t\x94~\xe5\xfdi\xd3\x0fD4\x7f~\xea\x14\n\x05\
\x14\n\x05\xe4\xf3y\xe4r9\xe4r9\\\xbf~\x9d\xf7\xf6\xf6J\x8c\xb1[R\x82\xa0\
\xb4\xe9r\x00\x14\x16R\xa9\xc9;6o~\xab\xb1\xb1\xb1\xaa\x94\xea\x1f\xd6\xfd\
\xca\xdf\xaa\x1a\x8be\x96\xa0\x8cP:\x93\xc9x-\xfa\xcd\x9b7\xd1\xdd\xddM\x8b\
\xc5\xe2\xaaYE\xe4M\x06\xc0\x04\x90\xb9z\xf9\xca\x9f;\xf7\xef\x1f\x14k\x93J"\
z}A\x8br\xd5\xd4_\x9c\x84\xe2\x8b\x95\xd5\xe3x.\x97C6\x9b\xf5\x00\xa4\xd3i\
\xf4\xf7\xf7\xd3\xf1\xf1\xf1\xaaZ\x1b\x01\xc0\xf3\x82a\x18\xb3\x0b\xa9\x85\
\xd7\x0e\x1f><\xe3\x9fy\x83+t\x00\x98\x9a\x9a\x82m\xdb\x88D"+\x96\xb7\x82\
\xe3~\xae\x0b\xbe\xeb\xba\xeeQEX=\x97\xcb!\x9dN\xe3\xd2\xa5K\xac\xbf\xbf_\
\xa2\x94VU\x94\xfc\x01Bm\xc7\xb1\x14Y\xce\xceLO_x\xf0\xc8C\xcf\x0f\r\r\xbd\
\x94L&\x93"\xd7\x8b`\x15\x94a\x8cAUU8\x8e\xe3\xf5\xef\xc1\x19\xd8_Y\x05m\x8a\
\xc5"t]G\xa1P\xf0,\xbf\xb0\xb0\x80+W\xae\xb0\xbe\xbe>\xd8\xb6]uE]v\xb0P,\xba\
\x8e\xeb\x1a\x8c\xf3\xec\x87\xff\xfa\xf0\xea\xf1\xe3\xc77\x0c\x0e\x0e\xe6\
\x18c\\\xec~\x82\xde\x10\x01i\x9a\xe6\x8a\xa5\xadH\x91\xa6izK\\\xe1\x85b\xb1\
\xe8\xf1\x7fnn\x0e\xfd\xfd\xfd\xac\xb7\xb7\x17\x96e\xad\xa9\x1d\xf0<0:9!\xa2\
\xdd\x8d\xd4\xd5\x99\x92$\xe9###\x91\xc7\x1f\x7f\xdc}\xec\xb1\xc72\xcf=\xf7\
\\\x9d\xaa\xaa\x9a?e\n\xbe\xfb\x07\x92\xe0\x1a\xd1\xdf\xd3\x08\xc5\x05}\xf2\
\xf9<R\xa9\x14>\xfa\xe8#:66F\x02\xdb\xb7\xb5\x01\x00\x80\x9ap\x98\xe8\x86\
\xcek\xc2a\xa8\x8aB9\xe7\x98\x9c\x9cT^}\xf5\xd5hwww\xe1\xf7/\xbf\xaco\xdf\
\xb1#\xc6\x18\x93\xfc\xfb\x1f\xd1Q\x96k\xd4\xfc\xbd\x8dH\x95\xc5b\x11\xe9t\
\x1a}}}\xec\xec\xd9\xb3<\x97\xcb\x91[\x15\xab\xaa\x00\x844M\xa1\x94J\x84\x10\
\xd9\xa5\xaeL$I\x03 &)\xb9\xbf\xbf?\xfa\x93c\xc7\x9cm\xdb\xb6\x15N\x9d:\xc5:\
::"\x9cs"v8\xc2\xeaA\x10\x82R\xba\xae{\x8awww\xd3\xbe\xbe>\xb6\xb0\xb0\xa0T\
\x1b\xac\xab\x02`\x8c\x13B$\x19\x80\xe28NH\x82T\xe7?\xc89\x97\xf2\xf9\xbcv\
\xfe\xfcy\xed\xe4\xc9\x93n,\x16\xb3\x93\xad\xad\xee\x81\xae.\xec\xde\xbd;\
\x14\x8dF\xd5\xe06B\x14\xad\xaf\xbf\xfe\x9a\x0f\x0c\x0c\xb8CCC|nn\x8e\x18\
\x86!s\xce\xab\xef\x1c\xab\x01P_W\xe7h\x9a\xea\xcaD\xb6UE\x91\t!e+2\xe7\x1c\
\x96e)\xf3\xf3\xf3J*\x95\xc2\xf9\x81\x01\xbe\x18\xdc\xcb\x92vp\xe3\xc0\x18S\
\x05\xad\xd62\xbaV\r`]<\xce\xb04\xb6Q\x94z$\xdcs\xcf=\xab\xbd\xc7\xb7\xb6\
\x92Y\xf5\x83\xca4\x9a\xc1FI\x98\x86\xa1T\xd8\xec\xc1\xc1Am\r\x9f\xf1\xff\
\xd8\xcf\xa8\xf0}SY\xa9\xd3\xa3\x00\xf4\xf6\x96\xd6\x83\x00\x12(}#\xe2\x97\
\xd58 Lu\xabs\xb7\xe39\x03@z\xf1\x95\x02\x95\x018\x00\n\x00f\x16\x1f\xb8\x9d\
\xffj\xf9.\xc4EI\xf9\xc2\xe2=\xfe\x07:m7PA\xbf\xd8\xf8\x00\x00\x00\x00IEND\
\xaeB`\x82I\x86\xde0'
