#---import modules

#---standard library
import glob, os, pprint

#---gui-independent
import actions
from core import ct

#---classes
def import_actions():
    global ACTIONS, ACTION_LABELS, ACTION_FIELDS
    #if bitmaps
    from core.lib.events import send
    #actions=result
    ACTIONS = {}
    for filename in glob.glob(os.path.join(ct.ACTIONS_PATH,'*.py')):
        basename= os.path.basename(os.path.splitext(filename)[0])
        module  = getattr(__import__('actions.'+basename),basename)
        for attr in dir(module):
            if attr[:7] == ct.ACTION_PREFIX or attr == 'Action':
                cl                  = getattr(module,attr)
                ACTIONS[cl.label]   = cl
    #ACTION_LABELS
    ACTION_LABELS                          = ACTIONS.keys()
    ACTION_LABELS.sort()
    #ACTION_FIELDS
    ACTION_FIELDS = {}
    for label in ACTIONS:
        ACTION_FIELDS[label]  = ACTIONS[label]()._fields

def save_data(filename,data):
    """data = {'actions':...}"""
    #check filename
    if os.path.splitext(filename)[1].lower() != '.py':
        filename    += '.py'
    #prepare data
    data['actions'] = [action.dump() for action in data['actions']]
    #backup previous
    if os.path.isfile(filename):
        os.rename(filename,filename+'~')
    #write it
    f       = open(filename,'wb')
    f.write(pprint.pformat(data))
    f.close()

def open_data(filename):
    #read source
    f       = open(filename,'rb')
    source  = f.read()
    f.close()
    #load data
    data        = eval(source)
    result      = []
    for action in data['actions']:
        actionLabel     = action['label']
        actionFields   = action['fields']
        newAction       = ACTIONS[actionLabel]()
        newAction.load(actionFields)
        result.append(newAction)
    data['actions'] = result
    return data
