import os, sys
from data import license
from data.info import INFO
from translation import _t

#---description
DESCRIPTION             = _('Photo Batch Processor')
LICENSE                 = license.GPL
CONTACT                 = '%(author)s <%(author_email)s>'%INFO

TITLE                   = '%(name)s'%INFO
FRAME_TITLE             = '%%s%%s - %s'%TITLE
SEND_MAIL               = 'mailto:%(author_email)s?subject=%%s&body=%%s'%INFO

PLATFORM                = sys.platform

if PLATFORM.startswith('darwin'):
    LINUX, WINDOWS, MAC = False, False, True
elif PLATFORM.startswith('win'):
    LINUX, WINDOWS, MAC = False, True, False
else:
    LINUX, WINDOWS, MAC = True, False, False

#---fields
ACTION_PREFIX           = 'Action_'

#i8n
BOOLEANS                = [_t('True'),_t('False'),_t('true'),_t('false')]
UNKNOWN                 = _("Unsaved Action List")
WILDCARD                = "%s (*.py)|*.py|%s|*"\
                            %(_("Action Lists"),_("All Files"))
ACTION_LIST_DESCRIPTION = _("Describe here the action list.")


#---paths
PATH            = os.path.dirname(os.path.dirname(__file__))
PATH_DELIMITER  = ';'
ACTIONS_PATH    = os.path.join(PATH,'actions')

USER_PATH       = os.path.expanduser('~')
APP_USER_PATH   = os.path.join(USER_PATH,('.%(name)s'%INFO).lower())
SETTINGS_PATH   = os.path.join(APP_USER_PATH,'settings.cPickle')
ERROR_LOG_PATH  = os.path.join(APP_USER_PATH,'error_log.txt')