"""Important: Run this file everytime info is changed."""
import sys, time, Image

#constants
NAME                = 'Phatch'
VERSION             = '0.0.0.bzr.20070823.0'
AUTHOR              = 'Stani'
AUTHOR_EMAIL        = 'spe.stani.be@gmail.com'
GPL_VERSION         = '3'
STANI               = {'name':AUTHOR, 'email':AUTHOR_EMAIL}
SUPPORTED_LANGUAGES = ['Dutch','English']

#credits
CREDITS         = {
    'code'          : [STANI],
    'documentation' : [STANI],
    'translation'   : [STANI,
                        {'name':'Pierre Slamich'},
                        {'name':'Swarms'},
                        {'name':'pasirt'},
                        {'name':'pveith'},
                        {'name':'Andrea (pikkio)'},
                        {'name':'alex'},
                        {'name':'qiuty'},
                        {'name':'Tosszyx'},
                        {'name':'Motin'},
                        {'name':'Aktiwers'},
                        {'name':'Luca Livraghi'},
                        {'name':'rainofchaos'},
                        {'name':'skarevoluti'},
                        ],
    'graphics'      : [
                        {'name':'Igor Kekeljevic', 'email':'admiror@nscable.net',
                        'url':'http://www.admiror-ns.co.yu',},
##                        {'name':'Andrew Enyart', 'email':'arenyart@gmail.com',
##                        'url':'http://andrewenyart.com',},
                        {'name':'Paolino', 'email':'warlord@email.it',
                        'url':'http://www.paolinoland.it'},
                        STANI,
                    ],
    'libraries'     : [{'name':'Python %s'%sys.version.split(' ')[0], 
                        'url':'http://www.python.org',
                        'author':'Guido Van Rossum'},
                        {'name':'Python Image Library %s'%Image.VERSION,
                        'url':'http://www.pythonware.com/products/pil/',
                        'author':'Fredrik Lundh'}],
}

#year: automatically fetch copyright years
YEAR                = time.localtime()[0]
if YEAR > 2007:
    CO_YEAR         = '2007-%s'%YEAR
else:
    CO_YEAR         = '2007'
    
#setup.py information
SETUP          = {
    'name'              : NAME,
    'version'           : VERSION,
    'author'            : AUTHOR,
    'author_email'      : AUTHOR_EMAIL,
    'maintainer'        : AUTHOR,
    'maintainer_email'  : AUTHOR_EMAIL,
    'url'               : 'https://launchpad.net/phatch/',
    'description'       : 'Photo Batch Processor',
    'long_description'  : 'Phatch enables you to resize, rotate, mirror, '
                          'apply watermarks, shadows, rounded courners, '
                          '... to any photo collection easily with a '
                          'single mouse click. You can arrange your own '
                          'action lists and write plugins with PIL.',
    'classifiers'       : [          
            'Development Status :: 4 - Beta',
            'Environment :: Console',
            'Environment :: MacOS X',
            'Environment :: Win32 (MS Windows)',
            'Environment :: X11 Applications',
            'Environment :: X11 Applications :: Gnome',
            'Environment :: X11 Applications :: GTK',
            'Intended Audience :: Developers',
            'Intended Audience :: End Users/Desktop',
            'License :: OSI Approved :: GNU General Public License (GPL)',
            'Operating System :: MacOS :: MacOS X',
            'Operating System :: Microsoft :: Windows',
            'Operating System :: OS Independent',
            'Operating System :: POSIX',
            'Operating System :: POSIX :: Linux',
            'Programming Language :: Python',
            'Topic :: Artistic Software',
            'Topic :: Multimedia :: Graphics',
            'Topic :: Multimedia :: Graphics :: Graphics Conversion',
    ] + ['Natural Language :: '+language for language in SUPPORTED_LANGUAGES],
}
                        
INFO                = {
    'copyright'         : '(c)%s www.stani.be'%CO_YEAR,
    'description'       : 'Photo Batch Processor',
    'download_url'      : 'https://launchpad.net/phatch/',
    'gpl_version'       : GPL_VERSION,
    'license'           : 'GPL v.'+GPL_VERSION,
    'maintainer'        : 'Stani M',
    'fsf_adress'        : '51 Franklin St, Fifth Floor, '
                            'Boston, MA  02110-1301 USA',
}

INFO.update(SETUP)

README    = \
"""Welcome to %(name)s %(version)s!

%(name)s = PHoto bATCH Processor
    
Batch your photo's with one mouse click. Typical examples are resizing,
rotating, creating buttons, applying shadows, watermarks, rounded corners, ...

If you are a python developper you can write easily, your own plugins with PIL
 (Python Image Library). Please send your plugins to %(author_email)s

%(name)s was developped with the SPE editor (http://pythonide.stani.be) on 
Ubuntu (GNU/Linux), but should run fine as well on Windows and Mac Os X.

%(name)s uses python, wxPython, PIL, Andrew Enyart's and Crystal Diamond Icons.
%(name)s is licensed under the %(license)s. %(name)s has no limitations, no
time-outs, no nags, no adware, no banner ads and no spyware. It is 100%% free. 

%(url)s

%(copyright)s

License: %(license)s
"""%INFO

WXPYTHON_CREDITS    = {'name':'wxPython', 
                        'url':'http://www.wxpython.org',
                        'author':'Robin Dunn'}

def all_credits():
    import wx
    wxPython_credits            = WXPYTHON_CREDITS
    wxPython_credits['name']    += ' %s'%wx.VERSION_STRING
    if not (wxPython_credits in CREDITS['libraries']):
        CREDITS['libraries'].append(wxPython_credits)
    return CREDITS

def write_readme():
    readme = open('../../README','w')
    readme.write(README)
    readme.close()
    
def write_credits():
    all_credits()
    authors = open('../../AUTHORS','w')
    authors.write("Phatch is the result of work by (in no particular order):")
    tasks   = CREDITS.keys()
    tasks.sort()
    for task in tasks:
        authors.write('\n\n\n%s:\n\n'%task.title())
        authors.write('\n'.join([' - '.join(person.values()) 
            for person in CREDITS[task]]))
    authors.close()
    
def write_readme_credits(): 
    write_readme()
    write_credits()
    
if __name__ == '__main__':
    write_readme_credits()
    
#icons
#http://arenyart.googlepages.com/icons
#icons: http://www.paolinoland.it/index.php?option=com_content&task=view&id=14&Itemid=29
