#!/usr/bin/env python

"""Local launch script for all platforms"""

import sys,os

def reexec_with_pythonw():
    """'pythonw' needs to be called for any wxPython app 
    to run from the command line on Mac Os X."""
    if sys.platform == 'darwin' and\
           not sys.executable.endswith('/Python'):
        sys.stderr.write('re-executing using pythonw')
        os.execvp('pythonw',['pythonw',__file__] + sys.argv[1:])

PHATCH_PYTHON_PATH = os.path.dirname(os.path.abspath(__file__))

PATHS = {
    "PHATCH_PYTHON_PATH": PHATCH_PYTHON_PATH,
    "PHATCH_DATA_PATH"  : os.path.join(PHATCH_PYTHON_PATH,'..'),
    "PHATCH_IMAGE_PATH" : os.path.join(PHATCH_PYTHON_PATH,'..','images'),
    "PHATCH_LOCALE_PATH": os.path.join(PHATCH_PYTHON_PATH,'..','locale'),
    "PHATCH_HELP_PATH"  : os.path.join(PHATCH_PYTHON_PATH,'..','help')
}

from app import main

if __name__ == '__main__':
    reexec_with_pythonw()
    main(paths = PATHS)
